TypeLibUtil.TypeLibDoc (JNA API)

com.sun.jna.platform.win32.COM

## Class TypeLibUtil.TypeLibDoc

- java.lang.Object
- - com.sun.jna.platform.win32.COM.TypeLibUtil.TypeLibDoc

- Enclosing class:
    TypeLibUtil

      public static class TypeLibUtil.TypeLibDoc
      extends java.lang.Object

  The Class TypeLibDoc.
  Author:
    wolf.tobias@gmx.net The Class TypeLibDoc.

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `TypeLibDoc(java.lang.String name, java.lang.String docString, int helpContext, java.lang.String helpFile)` Instantiates a new type lib doc.

  - ### Method Summary

    All Methods Instance Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `java.lang.String` | `getDocString()` Gets the doc string.
    `int` | `getHelpContext()` Gets the help context.
    `java.lang.String` | `getHelpFile()` Gets the help file.
    `java.lang.String` | `getName()` Gets the name.

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### TypeLibDoc

          public TypeLibDoc(java.lang.String name,
                            java.lang.String docString,
                            int helpContext,
                            java.lang.String helpFile)

      Instantiates a new type lib doc.
      Parameters:
        `name` - the name
        `docString` - the doc string
        `helpContext` - the help context
        `helpFile` - the help file

  - ### Method Detail

    - #### getName

          public java.lang.String getName()

      Gets the name.
      Returns:
        the name

    - #### getDocString

          public java.lang.String getDocString()

      Gets the doc string.
      Returns:
        the doc string

    - #### getHelpContext

          public int getHelpContext()

      Gets the help context.
      Returns:
        the help context

    - #### getHelpFile

          public java.lang.String getHelpFile()

      Gets the help file.
      Returns:
        the help file

Copyright © 2007-2018 Timothy Wall. All Rights Reserved.